blob: 5652bb26cbbd5dc7de942c2e0178e242afc61f07 [file] [log] [blame]
#!/bin/bash
# Copyright 2020 The Dawn & Tint Authors
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice, this
# list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright notice,
# this list of conditions and the following disclaimer in the documentation
# and/or other materials provided with the distribution.
#
# 3. Neither the name of the copyright holder nor the names of its
# contributors may be used to endorse or promote products derived from
# this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}")" >/dev/null 2>&1 && pwd )"
ROOT_DIR="$( cd "${SCRIPT_DIR}/.." >/dev/null 2>&1 && pwd )"
set -e # fail on error
if ! command -v clang_format.py &> /dev/null; then
echo "clang_format.py not found on PATH"
exit 1
fi
if ! command -v gn &> /dev/null; then
echo "gn not found on PATH"
exit 1
fi
CLANG_FORMAT_FILES=""
CLANG_FORMAT_FILES+="`find src -name "*.h"` "
CLANG_FORMAT_FILES+="`find src -name "*.cc"` "
CLANG_FORMAT_FILES+="`find src -name "*.cpp"` "
CLANG_FORMAT_FILES+="`find src -name "*.m"` "
CLANG_FORMAT_FILES+="`find src -name "*.mm"` "
CLANG_FORMAT_FILES+="`find include -name "*.h"` "
GN_FILES="BUILD.gn "
GN_FILES+="`find src -name "*.gn"` "
if command -v go &> /dev/null; then
# Go is installed. Run in parallel for speed wins
${SCRIPT_DIR}/run run-parallel \
clang_format.py -i \
$ -- $CLANG_FORMAT_FILES
${SCRIPT_DIR}/run run-parallel \
gn format \
$ -- $GN_FILES
else
clang_format.py -i $CLANG_FORMAT_FILES
gn format $GN_FILES
fi